> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Connected Profile Data

> A `GET` to the `/profiles/{profileId}/connections/{connectionId}/profileInfo` endpoint allows your application to retrieve the values matching the shareable_attributes on the connected profile.



## OpenAPI

````yaml get /v3/profiles/{profile}/connections/{connection}/profileInfo
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/connections/{connection}/profileInfo:
    get:
      tags:
        - Profile Connection
      summary: Read Connected Profile Data
      description: >-
        A `GET` to the
        `/profiles/{profileId}/connections/{connectionId}/profileInfo` endpoint
        allows your application to retrieve the values matching the
        shareable_attributes on the connected profile.
      operationId: profileConnection.profileInfo
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
        - name: connection
          in: path
          required: true
          description: The connection ID
          schema:
            type: integer
      responses:
        '200':
          description: Invalid shareable attribute configurable, nothing to share
          content:
            application/json:
              schema:
                anyOf:
                  - type: string
                  - type: array
                    items:
                      type: string
                    minItems: 0
                    maxItems: 0
                    additionalItems: false
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````